package com.ekexiu.project.qxweb.monitor;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.web.annotation.Path;

import java.util.Map;
import java.util.concurrent.atomic.AtomicReference;

/**
 * Created by TT on 2019/4/24.
 */
@Path("/monitor")
public class MonitorService {
    private AtomicReference<Map<String, MonitorLog>> lastData = new AtomicReference<>();

    @Autowrie
    private MonitorDao monitorDao;

    public MonitorDao getMonitorDao() {
        return monitorDao;
    }

    public void setMonitorDao(MonitorDao monitorDao) {
        this.monitorDao = monitorDao;
    }

    public void setLastData(MonitorLog lastData) {
        if (lastData == null) {
            return;
        }
        this.lastData.get().put(lastData.getSite(), lastData);
    }

    public MonitorLog query(String mac) {
        Map<String, MonitorLog> map = lastData.get();
        if (map != null) {
            MonitorLog data = map.get(mac);
            if (data != null) {
                return data;
            }
        }
        return null;
    }


}
