package com.ekexiu.project.qxweb.resource.po;

import com.ekexiu.project.qxweb.base.po.BaseTable;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2019/4/11.
 */
@PrimaryKey("id")
@Table(descp = "站点表")
public class Site implements BaseTable {
    private String createTime;
    private String modifyTime;
    private String creator;
    private String modifier;

    private String id;
    private String name;
    private String code;
    private String seq;
    private String remark;
    private String location;
    private String lng;
    private String lat;

    private boolean open;
    private boolean active;

    @Column(descp = "站点ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "站点名称", value = DE.text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(descp = "站点编号", value = DE.text_de)
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(descp = "站点内部编号", value = DE.text_de)
    public String getSeq() {
        return seq;
    }

    public void setSeq(String seq) {
        this.seq = seq;
    }

    @Column(descp = "站点状态 1:公开 0:未公开", value = DE.boolean_de)
    public boolean isOpen() {
        return open;
    }

    public void setOpen(boolean open) {
        this.open = open;
    }

    @Column(descp = "站点位置", value = DE.text_de)
    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    @Column(descp = "站点经度", value = DE.text_de)
    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    @Column(descp = "站点纬度", value = DE.text_de)
    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    @Column(descp = "备注", value = DE.Text_de)
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Column(descp = "是否可用 1:可用 0:不可用", value = DE.boolean_de)
    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
}